<?php
	error_reporting(0);
?>
<!DOCTYPE html>
	<html lang="en">
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
			<meta http-equiv="Content-language" content="en"/>	
			<meta name="robots" content="noindex">
			<link rel="shortcut icon" href="//ventipix.com/demo/nfc/images/favicons/favicon.png">
			<link rel="apple-touch-icon" href="//ventipix.com/demo/nfc/images/favicons/apple-touch-icon-57x57.png">
			<link rel="apple-touch-icon" sizes="72x72" href="//ventipix.com/demo/nfc/images/favicons/apple-touch-icon-72x72.png">
			<link rel="apple-touch-icon" sizes="114x114" href="//ventipix.com/demo/nfc/images/favicons/apple-touch-icon-114x114.png">
			<title>Ventipix Test Script</title>
			<link href="//ventipix.com/demo/nfc/css/main.css" rel="stylesheet" type="text/css"/>
			<style>.
				hidden_elem{display:none;}
				p{ font-size : 24px; }
			</style>
		
			<!--[if IE]> <link href="css/ie.css" rel="stylesheet" type="text/css"> <![endif]-->
		 
		</head>
		<body>
		<div id="top">
			<div class="top-wrapper">
				<a href="//ventipix.com/" title=""><img src="//ventipix.com/demo/nfc/images/logo.png" class="logo" alt=""/></a>
			</div>
		</div>
		<div id="infoHtml"></div>
		<div class="wrapper">
			<div class="sidebar" id="left-sidebar">
				<ul class="navigation">
                    <li><a href="https://ventipix.com/nfc-tags-campaign-manager.php" title=""><span class="menu-dashboard"></span> NFC Tags Campaign Manager </a></li>
					<li><a href="https://ventipix.com/qr-code-and-nfc-tag-manager.php" title=""><span class="menu-dashboard"></span> QR Code &amp; NFC Tag Campaign Manager </a></li>
                    <li><a href="https://ventipix.com/asset-and-inventory-management-with-qr-codes-and-nfc.php" title=""><span class="menu-dashboard"></span> Asset &amp; Inventory Manager </a></li>
                    <li><a href="https://ventipix.com/coupon-manager-for-facebook-offers-twitter-email-and-qr-codes.php" title=""><span class="menu-dashboard"></span> Coupon Manager </a></li>
				</ul>
			</div>
			<div class="content">
				<div class="page-header">
				 
				</div>
				<div class="body">
					<div class="block well">
							<div class="navbar">
								<div class="navbar-inner">
									<h5> Current settings </h5>					 
								</div>
							</div>
							<div class="row-fluid body">
								<?php	
										$loaded = get_loaded_extensions();
										$svr_os=strtolower(reset(explode(' ',php_uname('s'))));
										//$isLinux=$svr_os==='linux';
										if( in_array( $svr_os, array('linux', 'freebsd') ) ){
											echo '<p class="text-success"> Your server\'s operating system is compatible with the app.</p>';
										} else{
											echo '<p class="text-error"> Your server\'s operating system is not compatible with the app.</p>';
										}
										
										if (version_compare(PHP_VERSION, '8.3.0') >= 0) {
											echo '<p class="text-error"> Ioncube does not support PHP 8.3.0 at this time. Use PHP 7.4, 8.1 or 8.2 instead.</p>';
										}
										
										
										if(phpMinV('7.4')) {
											echo '<p class="text-success"> Your PHP version is compatible with the app.</p>';										
										} else{
											echo '<p class="text-error"> Your PHP version is not compatible with the app. Version 7.4 and above is needed.</p>';																				
										}
										if ( in_array('pdo_mysql', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has PDO_MYSQL extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires PDO_MYSQL to be enabled. </p>';										
										}
										
										if ( in_array('json', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has JSON extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires JSON extension. <a href="http://uk3.php.net/manual/en/json.setup.php" target="_blank">Fix this</a></p>';										
										}
										if ( in_array('curl', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has Curl extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires Curl extension. <a href="http://uk3.php.net/manual/en/curl.setup.php" target="_blank">Fix this</a></p>';										
										}
                                        if ( in_array('mbstring', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has mbstring extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires mbstring extension. <a href="http://php.net/manual/en/mbstring.installation.php" target="_blank">Fix this</a></p>';										
										}
										
										if ( in_array('ionCube Loader', $loaded) ) {
											echo '<p class="text-success"> You have Ioncube installed.</p>';																				
										} else{
											echo '<p class="text-error"> You need to install Ioncube. <a href="http://www.ioncube.com/loader-wizard/loader-wizard.zip" target="_blank">Fix this</a></p>';										
										}
                                        if( function_exists("ioncube_loader_version") ){
                                            if(version_compare(ioncube_loader_version(), "13.0") < 0) {
                                                echo '<p class="text-error"> You need to upgrade your Ioncube to version 13.0 and above. <a href="http://www.ioncube.com/loader-wizard/loader-wizard.zip" target="_blank">Fix this</a></p>';										
                                            }
                                        }    
										if ( in_array('gd', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has GD extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires GD extension. <a href="http://www.php.net/manual/en/image.installation.php" target="_blank">Fix this</a></p>';										
										}
										if ( in_array('zlib', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has Zlib extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires Zlib extension. <a href="http://www.php.net/manual/en/zlib.installation.php" target="_blank">Fix this</a></p>';										
										}
										if ( in_array('zip', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has Zip extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires Zip extension. <a href="http://php.net/manual/en/zip.installation.php" target="_blank">Fix this</a></p>';										
										}
										
										if ( in_array('intl', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has Intl extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires Intl extension. <a href="https://www.php.net/manual/en/book.intl.php" target="_blank">Fix this</a></p>';										
										}
										
										if(version_compare(PHP_VERSION, "7.2") <= 0) {
											if ( in_array('mcrypt', $loaded) ) {
											//	echo '<p class="text-success"> Your PHP version has Mcrypt extension.</p>';																				
											} else{
											//	echo '<p class="text-error"> Your PHP version requires Mcrypt extension. <a href="http://www.php.net/manual/en/mcrypt.setup.php" target="_blank">Fix this</a></p>';										
											}
										}
										if ( in_array('libxml', $loaded) ) {
											echo '<p class="text-success"> Your PHP version has libxml extension.</p>';																				
										} else{
											echo '<p class="text-error"> Your PHP version requires libxml extension. <a href="http://php.net/manual/en/simplexml.requirements.php" target="_blank">Fix this</a></p>';										
										}
										
										if(function_exists('apache_get_modules') ){ 
											if( !in_array('mod_rewrite',apache_get_modules()) ) {
												echo '<p class="text-error"> You need to enable mod_rewrite. <a href="https://www.digitalocean.com/community/tutorials/how-to-rewrite-urls-with-mod_rewrite-for-apache-on-ubuntu-16-04" target="_blank">See example</a></p>';										
											}else{
												echo '<p class="text-success"> Your server has mod_rewrite enabled, however ensure that .htaccess files can be read. You may need to set the <a href="https://www.digitalocean.com/community/tutorials/how-to-rewrite-urls-with-mod_rewrite-for-apache-on-ubuntu-16-04" target="_blank">AllowOverride Directive</a> to all for the app\'s directory.</p>';																				
											}
										} 
										
										
										if( hasSSL() !== true ){ 
											echo '<p class="text-error"> If your plan to use the smartphone apps, consider installing SSL (e.g from <a href="https://letsencrypt.org/" target="_blank">Let\'s Encrypt</a>) as Google & Apple no longer allow plain http. Do not use self-signed SSL certificates. </p>';										
										}else{
											echo '<p class="text-success"> Your server has SSL.</p>';																				
										}
										
									?>
								</div>
							</div>		
				</div>
			</div>
		</div> 

	<?php
		function phpMinV($v)
		{
			if (version_compare(PHP_VERSION, $v) >= 0) {
			   return true;
		    }   
		   return false;
		}
		
		function hasSSL(){
			if (isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) === 'on')
			{
			  return TRUE;
			}
			elseif (isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https')
			{
			  return TRUE;
			}
			elseif (isset($_SERVER['HTTP_FRONT_END_HTTPS']) && $_SERVER['HTTP_FRONT_END_HTTPS'] === 'on')
			{
			  return TRUE;
			}
			return FALSE;
				
		}
	
	
	?>
	

		
</body>
</html>